<!--- validation.cfc example.  

	Explanation of the types of validation

	validate_require: {form name}|{Error message if empty};{form name}|{Error message if empty};...
	Checks to see if a required field is empty, and if it is fails validation.
	
	validate_email: {form field name}|{Error Message if validation fails};
		Vaidates that an email address is formatted properly.
	
	validate_password: {Password Field Name}|{Confirmation Password Field Name}|{Error Message if validation fails};...
		Compares a password field and confirmation password field to see if they match.
		
	validate_captcha: {Text Field They Enter String Into}|{Hidden Field With Encrypted String ("CFMX_COMPAT","HEX")}|{Error Message};...
		Used with <cfimage>, compares text they entered with an encrypted string for a captcha image.
		
	validate_state:  {form field for state} | {comma delimted list of states for comparison (these are the valid states)}
		Compares the state they enter into a form field with a comma delimted list of valid states.  Validation fails if they don't
		enter a state that matches one in the list (could be used for other thing, but one of my clients needed this).

	validate_birthday: {form fied for birth day}|{form field for bith month}|{form field for birth year}|{error message if validation fails}
		Checks a birth date to see if it's a valid date.
		
The CFC returns a query with the following columns:  fields, messages
--->

<form action="sample_validation.cfm" name="sampleform" method = "post" >
<h2>Validation.cfc Example</h2>
First name*: <input name="firstname" type = "text" value="" size="25">
<br>
Last Name*: <input name="lastname" type="text" value="" size="25">
<br>

<input type = "submit" value="Validate Form" name="submitbtn">
<input type = "hidden" value="firstname|Enter your firstname please;lastname|Enter a lastname please" name="validate_require">
</form>

<CFIF isdefined('form.firstname')>
<cfinvoke component="validation" method="validate" returnvariable="qValidation">
	<cfinvokeargument name="fields" value="#form#">
</cfinvoke>

<cfif qValidation.recordcount GT 0>
	There were some errors:<br>
	<cfoutput query = "qValidation">
		#messages#<br>
	</cfoutput>

	<p>
    Dump of query:
    <br><cfdump var="#qValidation#">
    </p>

<cfelse>
	There were no errors in your form!
</cfif>
</CFIF>

